#include <unistd.h>
#include <errno.h>
#include <sys/eventfd.h>

#include "mctd-log.h"

bool mctd_eventfd_create(int *efd)
{
    *efd = eventfd(0, EFD_CLOEXEC | EFD_NONBLOCK);
    if (*efd < 0) {
        log_err("create eventfd failed.");
        return false;
    }
    return true;
}

void mctd_eventfd_read(int efd)
{
    uint64_t r64;

    read(efd, &r64, sizeof(r64));
}

void mctd_eventfd_write(int efd)
{
    uint64_t w64 = 1;

    write(efd, &w64, sizeof(w64));
}

void mctd_eventfd_close(int efd)
{
    if (efd != -1)
        close(efd);
}
