#ifndef __MCTD_SERIAL_H__
#define __MCTD_SERIAL_H__

#include <termios.h>

#define SERIAL_TTY "ttymxc1"
#define SERIAL_BAUDRATE B460800

#define DEVICE_STR_SIZE 24
#define PATH_STR_SIZE 48

extern char ppp_port[DEVICE_STR_SIZE];
extern char at_port[DEVICE_STR_SIZE];

extern int _multiplex;

enum MUX_STATUS {
    MUX_STATUS_ENABLE,
    MUX_STATUS_DISABLE,
    MUX_STATUS_AUTO,
};

int mctd_serial_open_baudrate_115200();
int mctd_serial_open();
void mctd_serial_close(int fd);
void mctd_serial_force_close();
void mctd_serial_remove_own_lock_file();
const char *mctd_at_port_str();
int mctd_serial_convert_error(int error);

#endif /* __MCTD_SERIAL_H__ */
